---
title: Update an IP Access rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Firewall](https://developers.cloudflare.com/api/go/resources/firewall)

[Access Rules](https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update an IP Access rule

client.Firewall.AccessRules.Edit(ctx, ruleID, params) (\*[AccessRuleEditResponse](<https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)>), error)

PATCH/{accounts\_or\_zones}/{account\_or\_zone\_id}/firewall/access\_rules/rules/{rule\_id}

Updates an IP Access rule defined.

Note: This operation will affect all zones in the account or zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account Firewall Access Rules Write`

##### ParametersExpand Collapse

ruleID string

Unique identifier for a rule.

maxLength32

[Link to this property](<#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20rule_id%20%3E%20(schema)>)

<details>

<summary>

params AccessRuleEditParams

</summary>

<details>

<summary>

Configuration param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20configuration%20%3E%20(schema)">AccessRuleEditParamsConfiguration</a>]

Body param: The rule configuration.

</summary>

<details>

<summary>

type AccessRuleIPConfiguration struct{…}

</summary>

Target AccessRuleIPConfigurationTargetOptional

The configuration target. You must set the target to <code>ip</code> when specifying an IP address in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address to match. This address will be compared to the IP address of incoming requests.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type IPV6Configuration struct{…}

</summary>

Target IPV6ConfigurationTargetOptional

The configuration target. You must set the target to <code>ip6</code> when specifying an IPv6 address in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IPv6 address to match.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type AccessRuleCIDRConfiguration struct{…}

</summary>

Target AccessRuleCIDRConfigurationTargetOptional

The configuration target. You must set the target to <code>ip_range</code> when specifying an IP address range in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address range to match. You can only use prefix lengths <code>/16</code> and <code>/24</code> for IPv4 ranges, and prefix lengths <code>/32</code>, <code>/48</code>, and <code>/64</code> for IPv6 ranges.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type ASNConfiguration struct{…}

</summary>

Target ASNConfigurationTargetOptional

The configuration target. You must set the target to <code>asn</code> when specifying an Autonomous System Number (ASN) in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The AS number to match.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type CountryConfiguration struct{…}

</summary>

Target CountryConfigurationTargetOptional

The configuration target. You must set the target to <code>country</code> when specifying a country code in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The two-letter ISO-3166-1 alpha-2 code to match. For more information, refer to <a href="https://developers.cloudflare.com/waf/tools/ip-access-rules/parameters/#country">IP Access rules: Parameters</a>.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20configuration">Link to this property</a>

<details>

<summary>

Mode param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a>]

Body param: The action to apply to a matched request.

</summary>

const AccessRuleEditParamsModeBlock <a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a> = "block"

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const AccessRuleEditParamsModeChallenge <a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a> = "challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const AccessRuleEditParamsModeWhitelist <a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a> = "whitelist"

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const AccessRuleEditParamsModeJSChallenge <a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a> = "js\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const AccessRuleEditParamsModeManagedChallenge <a href="https://developers.cloudflare.com/api/go/resources/firewall/subresources/access_rules/methods/edit#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)">AccessRuleEditParamsMode</a> = "managed\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20mode">Link to this property</a>

AccountID param.Field\[string]Optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

ZoneID param.Field\[string]Optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Notes param.Field\[string]Optional

Body param: An informative summary of the rule, typically used as a reminder or explanation.

<a href="#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20notes">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.access_rules%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AccessRuleEditResponse struct{…}

</summary>

ID string

The unique identifier of the IP Access rule.

maxLength32

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

AllowedModes \[]AccessRuleEditResponseAllowedMode

The available actions that a rule can apply to a matched request.

</summary>

One of the following:

const AccessRuleEditResponseAllowedModeBlock AccessRuleEditResponseAllowedMode = "block"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const AccessRuleEditResponseAllowedModeChallenge AccessRuleEditResponseAllowedMode = "challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const AccessRuleEditResponseAllowedModeWhitelist AccessRuleEditResponseAllowedMode = "whitelist"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const AccessRuleEditResponseAllowedModeJSChallenge AccessRuleEditResponseAllowedMode = "js\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const AccessRuleEditResponseAllowedModeManagedChallenge AccessRuleEditResponseAllowedMode = "managed\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20allowed_modes">Link to this property</a>

<details>

<summary>

Configuration AccessRuleEditResponseConfiguration

The rule configuration.

</summary>

One of the following:

<details>

<summary>

type AccessRuleIPConfiguration struct{…}

</summary>

Target AccessRuleIPConfigurationTargetOptional

The configuration target. You must set the target to <code>ip</code> when specifying an IP address in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address to match. This address will be compared to the IP address of incoming requests.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_ip_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type IPV6Configuration struct{…}

</summary>

Target IPV6ConfigurationTargetOptional

The configuration target. You must set the target to <code>ip6</code> when specifying an IPv6 address in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IPv6 address to match.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20ipv6_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type AccessRuleCIDRConfiguration struct{…}

</summary>

Target AccessRuleCIDRConfigurationTargetOptional

The configuration target. You must set the target to <code>ip_range</code> when specifying an IP address range in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address range to match. You can only use prefix lengths <code>/16</code> and <code>/24</code> for IPv4 ranges, and prefix lengths <code>/32</code>, <code>/48</code>, and <code>/64</code> for IPv6 ranges.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20access_rule_cidr_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type ASNConfiguration struct{…}

</summary>

Target ASNConfigurationTargetOptional

The configuration target. You must set the target to <code>asn</code> when specifying an Autonomous System Number (ASN) in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The AS number to match.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20asn_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type CountryConfiguration struct{…}

</summary>

Target CountryConfigurationTargetOptional

The configuration target. You must set the target to <code>country</code> when specifying a country code in the rule.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The two-letter ISO-3166-1 alpha-2 code to match. For more information, refer to <a href="https://developers.cloudflare.com/waf/tools/ip-access-rules/parameters/#country">IP Access rules: Parameters</a>.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20country_configuration%20%3E%20(schema)">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20configuration">Link to this property</a>

<details>

<summary>

Mode AccessRuleEditResponseMode

The action to apply to a matched request.

</summary>

One of the following:

const AccessRuleEditResponseModeBlock AccessRuleEditResponseMode = "block"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%200">Link to this property</a>

const AccessRuleEditResponseModeChallenge AccessRuleEditResponseMode = "challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%201">Link to this property</a>

const AccessRuleEditResponseModeWhitelist AccessRuleEditResponseMode = "whitelist"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%202">Link to this property</a>

const AccessRuleEditResponseModeJSChallenge AccessRuleEditResponseMode = "js\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%203">Link to this property</a>

const AccessRuleEditResponseModeManagedChallenge AccessRuleEditResponseMode = "managed\_challenge"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20mode">Link to this property</a>

CreatedOn TimeOptional

The timestamp of when the rule was created.

formatdate-time

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

ModifiedOn TimeOptional

The timestamp of when the rule was last modified.

formatdate-time

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Notes stringOptional

An informative summary of the rule, typically used as a reminder or explanation.

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20notes">Link to this property</a>

<details>

<summary>

Scope AccessRuleEditResponseScopeOptional

All zones owned by the user will have the rule applied.

</summary>

ID stringOptional

Defines an identifier.

maxLength32

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20id">Link to this property</a>

Email stringOptional

The contact email address of the user.

maxLength90

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20email">Link to this property</a>

<details>

<summary>

Type AccessRuleEditResponseScopeTypeOptional

Defines the scope of the rule.

</summary>

One of the following:

const AccessRuleEditResponseScopeTypeUser AccessRuleEditResponseScopeType = "user"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const AccessRuleEditResponseScopeTypeOrganization AccessRuleEditResponseScopeType = "organization"

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)%20%3E%20(property)%20scope">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.access_rules%20%3E%20(model)%20AccessRuleEditResponse%20%3E%20(schema)>)

### Update an IP Access rule

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/firewall"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Firewall.AccessRules.Edit(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    firewall.AccessRuleEditParams{
      Configuration: cloudflare.F[firewall.AccessRuleEditParamsConfigurationUnion](firewall.AccessRuleIPConfigurationParam{

      }),
      Mode: cloudflare.F(firewall.AccessRuleEditParamsModeChallenge),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "92f17202ed8bd63d69a66b86a49a8f6b",
    "allowed_modes": [
      "whitelist",
      "block",
      "challenge",
      "js_challenge",
      "managed_challenge"
    ],
    "configuration": {
      "target": "ip",
      "value": "198.51.100.4"
    },
    "mode": "challenge",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "notes": "This rule is enabled because of an event that occurred on date X.",
    "scope": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "email": "user@example.com",
      "type": "user"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "92f17202ed8bd63d69a66b86a49a8f6b",
    "allowed_modes": [
      "whitelist",
      "block",
      "challenge",
      "js_challenge",
      "managed_challenge"
    ],
    "configuration": {
      "target": "ip",
      "value": "198.51.100.4"
    },
    "mode": "challenge",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "notes": "This rule is enabled because of an event that occurred on date X.",
    "scope": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "email": "user@example.com",
      "type": "user"
    }
  },
  "success": true
}
```